Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Do connect all log channel manually to parent using XBT_LOG_CONNECT() too, so that...
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27 VPATH = @srcdir@
28 pkgdatadir = $(datadir)/@PACKAGE@
29 pkglibdir = $(libdir)/@PACKAGE@
30 pkgincludedir = $(includedir)/@PACKAGE@
31 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32 install_sh_DATA = $(install_sh) -c -m 644
33 install_sh_PROGRAM = $(install_sh) -c
34 install_sh_SCRIPT = $(install_sh) -c
35 INSTALL_HEADER = $(INSTALL_DATA)
36 transform = $(program_transform_name)
37 NORMAL_INSTALL = :
38 PRE_INSTALL = :
39 POST_INSTALL = :
40 NORMAL_UNINSTALL = :
41 PRE_UNINSTALL = :
42 POST_UNINSTALL = :
43 build_triplet = @build@
44 host_triplet = @host@
45 target_triplet = @target@
46 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
49 subdir = testsuite
50 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
51 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
52         $(top_srcdir)/acmacro/compiler-flags.m4 \
53         $(top_srcdir)/acmacro/context.m4 \
54         $(top_srcdir)/acmacro/fancy_configury.m4 \
55         $(top_srcdir)/acmacro/flex.m4 \
56         $(top_srcdir)/acmacro/gras_arch.m4 \
57         $(top_srcdir)/acmacro/print_null.m4 \
58         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
59 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
60         $(ACLOCAL_M4)
61 mkinstalldirs = $(install_sh) -d
62 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
63 CONFIG_CLEAN_FILES = run_tests
64 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
65         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
66 am__EXEEXT_2 = surf/maxmin_bench$(EXEEXT) surf/lmm_usage$(EXEEXT) \
67         surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
68         surf/surf_usage2$(EXEEXT)
69 am__EXEEXT_3 = simdag/sd_test$(EXEEXT)
70 simdag_sd_test_SOURCES = simdag/sd_test.c
71 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
72 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
73 am__dirstamp = $(am__leading_dot)dirstamp
74 surf_lmm_usage_SOURCES = surf/lmm_usage.c
75 surf_lmm_usage_OBJECTS = lmm_usage.$(OBJEXT)
76 surf_lmm_usage_DEPENDENCIES = $(LDADD_SG)
77 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
78 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
79 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
80 surf_surf_usage_SOURCES = surf/surf_usage.c
81 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
82 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
83 surf_surf_usage2_SOURCES = surf/surf_usage2.c
84 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
85 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
86 surf_trace_usage_SOURCES = surf/trace_usage.c
87 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
88 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
89 xbt_context_usage_SOURCES = xbt/context_usage.c
90 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
91 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
92 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
93 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
94 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
95 xbt_heap_bench_SOURCES = xbt/heap_bench.c
96 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
97 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
98 xbt_log_usage_SOURCES = xbt/log_usage.c
99 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
100 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
101 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
102 depcomp = $(SHELL) $(top_srcdir)/depcomp
103 am__depfiles_maybe = depfiles
104 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
105         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
106 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
107         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
108         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
109 CCLD = $(CC)
110 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
111         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
112         $(LDFLAGS) -o $@
113 SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
114         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
115         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
116         xbt/log_usage.c
117 DIST_SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
118         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
119         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
120         xbt/log_usage.c
121 ETAGS = etags
122 CTAGS = ctags
123 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
124 ACLOCAL = @ACLOCAL@
125 ADDR2LINE = @ADDR2LINE@
126 AMTAR = @AMTAR@
127 AM_CPPFLAGS = @AM_CPPFLAGS@
128 AR = @AR@
129 AS = @AS@
130 AUTOCONF = @AUTOCONF@
131 AUTOHEADER = @AUTOHEADER@
132 AUTOMAKE = @AUTOMAKE@
133 AWK = @AWK@
134 BASH = @BASH@
135 CC = @CC@
136 CCDEPMODE = @CCDEPMODE@
137 CFLAGS = @CFLAGS@
138 CPP = @CPP@
139 CPPFLAGS = @CPPFLAGS@
140 CXX = @CXX@
141 CXXCPP = @CXXCPP@
142 CXXDEPMODE = @CXXDEPMODE@
143 CXXFLAGS = @CXXFLAGS@
144 CYGPATH_W = @CYGPATH_W@
145 DEFS = @DEFS@
146 DEPDIR = @DEPDIR@
147 DLLTOOL = @DLLTOOL@
148 DOXYGEN = @DOXYGEN@
149 DSYMUTIL = @DSYMUTIL@
150 ECHO = @ECHO@
151 ECHO_C = @ECHO_C@
152 ECHO_N = @ECHO_N@
153 ECHO_T = @ECHO_T@
154 EGREP = @EGREP@
155 EXEEXT = @EXEEXT@
156 FLEXML = @FLEXML@
157 GCJ = @GCJ@
158 GCJDEPMODE = @GCJDEPMODE@
159 GCJFLAGS = @GCJFLAGS@
160 GRAS_DEP = @GRAS_DEP@
161 GREP = @GREP@
162 INSTALL = @INSTALL@
163 INSTALL_DATA = @INSTALL_DATA@
164 INSTALL_PROGRAM = @INSTALL_PROGRAM@
165 INSTALL_SCRIPT = @INSTALL_SCRIPT@
166 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
167 JAR = @JAR@
168 JAVA = @JAVA@
169 JAVAC = @JAVAC@
170 LDFLAGS = @LDFLAGS@
171 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
172 LEX = @LEX@
173 LEXLIB = @LEXLIB@
174 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
175 LIBOBJS = @LIBOBJS@
176 LIBS = @LIBS@
177 LIBTOOL = @LIBTOOL@
178 LN_S = @LN_S@
179 LTLIBOBJS = @LTLIBOBJS@
180 MAINT = @MAINT@
181 MAKEINFO = @MAKEINFO@
182 MD5SUM = @MD5SUM@
183 MKDIR_P = @MKDIR_P@
184 NMEDIT = @NMEDIT@
185 OBJDUMP = @OBJDUMP@
186 OBJEXT = @OBJEXT@
187 PACKAGE = @PACKAGE@
188 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
189 PACKAGE_NAME = @PACKAGE_NAME@
190 PACKAGE_STRING = @PACKAGE_STRING@
191 PACKAGE_TARNAME = @PACKAGE_TARNAME@
192 PACKAGE_VERSION = @PACKAGE_VERSION@
193 PATH_SEPARATOR = @PATH_SEPARATOR@
194 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
195 RANLIB = @RANLIB@
196 SED = @SED@
197 SET_MAKE = @SET_MAKE@
198 SHELL = @SHELL@
199 SIMGRID_DEP = @SIMGRID_DEP@
200 SMPI_DEP = @SMPI_DEP@
201 STRIP = @STRIP@
202 VERSION = @VERSION@
203 WARNING = @WARNING@
204 abs_builddir = @abs_builddir@
205 abs_srcdir = @abs_srcdir@
206 abs_top_builddir = @abs_top_builddir@
207 abs_top_srcdir = @abs_top_srcdir@
208 ac_configure_args = @ac_configure_args@
209 ac_ct_CC = @ac_ct_CC@
210 ac_ct_CXX = @ac_ct_CXX@
211 am__include = @am__include@
212 am__leading_dot = @am__leading_dot@
213 am__quote = @am__quote@
214 am__tar = @am__tar@
215 am__untar = @am__untar@
216 bindir = @bindir@
217 build = @build@
218 build_alias = @build_alias@
219 build_cpu = @build_cpu@
220 build_id = @build_id@
221 build_os = @build_os@
222 build_vendor = @build_vendor@
223 builddir = @builddir@
224 datadir = @datadir@
225 datarootdir = @datarootdir@
226 docdir = @docdir@
227 dvidir = @dvidir@
228 exec_prefix = @exec_prefix@
229 host = @host@
230 host_alias = @host_alias@
231 host_cpu = @host_cpu@
232 host_os = @host_os@
233 host_vendor = @host_vendor@
234 htmldir = @htmldir@
235 includedir = @includedir@
236 infodir = @infodir@
237 install_sh = @install_sh@
238 libdir = @libdir@
239 libexecdir = @libexecdir@
240 localedir = @localedir@
241 localstatedir = @localstatedir@
242 mandir = @mandir@
243 mkdir_p = @mkdir_p@
244 oldincludedir = @oldincludedir@
245 pdfdir = @pdfdir@
246 prefix = @prefix@
247 program_transform_name = @program_transform_name@
248 psdir = @psdir@
249 pth_skaddr_makecontext = @pth_skaddr_makecontext@
250 pth_sksize_makecontext = @pth_sksize_makecontext@
251 sbindir = @sbindir@
252 sharedstatedir = @sharedstatedir@
253 srcdir = @srcdir@
254 sysconfdir = @sysconfdir@
255 target = @target@
256 target_alias = @target_alias@
257 target_cpu = @target_cpu@
258 target_os = @target_os@
259 target_vendor = @target_vendor@
260 top_builddir = @top_builddir@
261 top_srcdir = @top_srcdir@
262 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
263 AM_CFLAGS = -g
264 CLEANFILES = *~ test a.out *.o testgraph.xml testgraph.dot
265 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
266 EXTRA_DIST = run_tests.in \
267   xbt/graph.xml \
268   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
269   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
270
271
272 # Test stuff
273 xbt_tests = \
274         xbt/log_usage                                            \
275         xbt/heap_bench                                           \
276         xbt/graphxml_usage                                       \
277         xbt/context_usage                                        
278
279 SG_tests = \
280         surf/maxmin_bench surf/lmm_usage \
281         surf/trace_usage surf/surf_usage surf/surf_usage2
282
283 simdag_tests = simdag/sd_test
284 check_SCRIPTS = run_tests 
285 TESTS = run_tests
286
287 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
288 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
289 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
290 xbt_log_usage_LDADD = $(LDADD_RL)
291 xbt_heap_bench_LDADD = $(LDADD_RL)
292 xbt_graphxml_usage_LDADD = $(LDADD_SG)
293 xbt_context_usage_LDADD = $(LDADD_SG)
294 surf_maxmin_bench_LDADD = $(LDADD_SG)
295 surf_lmm_usage_LDADD = $(LDADD_SG)
296 surf_trace_usage_LDADD = $(LDADD_SG)
297 surf_surf_usage_LDADD = $(LDADD_SG)
298 surf_surf_usage2_LDADD = $(LDADD_SG)
299 simdag_sd_test_LDADD = $(LDADD_SG)
300 all: all-am
301
302 .SUFFIXES:
303 .SUFFIXES: .c .lo .o .obj
304 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
305         @for dep in $?; do \
306           case '$(am__configure_deps)' in \
307             *$$dep*) \
308               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
309                 && exit 0; \
310               exit 1;; \
311           esac; \
312         done; \
313         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
314         cd $(top_srcdir) && \
315           $(AUTOMAKE) --gnu  testsuite/Makefile
316 .PRECIOUS: Makefile
317 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
318         @case '$?' in \
319           *config.status*) \
320             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
321           *) \
322             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
323             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
324         esac;
325
326 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
327         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
328
329 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
330         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
331 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
332         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
333 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
334         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
335
336 clean-checkPROGRAMS:
337         @list='$(check_PROGRAMS)'; for p in $$list; do \
338           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
339           echo " rm -f $$p $$f"; \
340           rm -f $$p $$f ; \
341         done
342 simdag/$(am__dirstamp):
343         @$(MKDIR_P) simdag
344         @: > simdag/$(am__dirstamp)
345 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
346         @rm -f simdag/sd_test$(EXEEXT)
347         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
348 surf/$(am__dirstamp):
349         @$(MKDIR_P) surf
350         @: > surf/$(am__dirstamp)
351 surf/lmm_usage$(EXEEXT): $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_DEPENDENCIES) surf/$(am__dirstamp)
352         @rm -f surf/lmm_usage$(EXEEXT)
353         $(LINK) $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_LDADD) $(LIBS)
354 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
355         @rm -f surf/maxmin_bench$(EXEEXT)
356         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
357 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
358         @rm -f surf/surf_usage$(EXEEXT)
359         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
360 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
361         @rm -f surf/surf_usage2$(EXEEXT)
362         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
363 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
364         @rm -f surf/trace_usage$(EXEEXT)
365         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
366 xbt/$(am__dirstamp):
367         @$(MKDIR_P) xbt
368         @: > xbt/$(am__dirstamp)
369 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
370         @rm -f xbt/context_usage$(EXEEXT)
371         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
372 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
373         @rm -f xbt/graphxml_usage$(EXEEXT)
374         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
375 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
376         @rm -f xbt/heap_bench$(EXEEXT)
377         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
378 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
379         @rm -f xbt/log_usage$(EXEEXT)
380         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
381
382 mostlyclean-compile:
383         -rm -f *.$(OBJEXT)
384
385 distclean-compile:
386         -rm -f *.tab.c
387
388 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
389 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
390 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
391 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lmm_usage.Po@am__quote@
392 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
393 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
394 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
395 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
396 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
397 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
398
399 .c.o:
400 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
401 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
402 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
403 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
404 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
405
406 .c.obj:
407 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
408 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
409 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
410 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
411 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
412
413 .c.lo:
414 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
415 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
416 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
417 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
418 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
419
420 sd_test.o: simdag/sd_test.c
421 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
422 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
423 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
424 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
425 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
426
427 sd_test.obj: simdag/sd_test.c
428 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
429 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
430 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
431 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
432 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
433
434 lmm_usage.o: surf/lmm_usage.c
435 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.o -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
436 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
437 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.o' libtool=no @AMDEPBACKSLASH@
438 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
439 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
440
441 lmm_usage.obj: surf/lmm_usage.c
442 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.obj -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
443 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
444 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.obj' libtool=no @AMDEPBACKSLASH@
445 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
446 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
447
448 maxmin_bench.o: surf/maxmin_bench.c
449 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
450 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
451 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
452 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
453 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
454
455 maxmin_bench.obj: surf/maxmin_bench.c
456 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
457 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
458 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
459 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
460 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
461
462 surf_usage.o: surf/surf_usage.c
463 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
464 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
465 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
466 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
467 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
468
469 surf_usage.obj: surf/surf_usage.c
470 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
471 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
472 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
473 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
474 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
475
476 surf_usage2.o: surf/surf_usage2.c
477 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
478 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
479 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
480 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
481 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
482
483 surf_usage2.obj: surf/surf_usage2.c
484 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
485 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
486 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
487 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
488 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
489
490 trace_usage.o: surf/trace_usage.c
491 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
492 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
493 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
494 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
495 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
496
497 trace_usage.obj: surf/trace_usage.c
498 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
499 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
500 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
501 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
502 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
503
504 context_usage.o: xbt/context_usage.c
505 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
506 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
507 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
508 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
509 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
510
511 context_usage.obj: xbt/context_usage.c
512 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
513 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
514 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
515 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
516 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
517
518 graphxml_usage.o: xbt/graphxml_usage.c
519 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
520 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
521 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
522 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
523 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
524
525 graphxml_usage.obj: xbt/graphxml_usage.c
526 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
527 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
528 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
529 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
530 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
531
532 heap_bench.o: xbt/heap_bench.c
533 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
534 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
535 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
536 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
537 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
538
539 heap_bench.obj: xbt/heap_bench.c
540 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
541 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
542 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
543 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
544 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
545
546 log_usage.o: xbt/log_usage.c
547 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
548 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
549 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
550 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
551 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
552
553 log_usage.obj: xbt/log_usage.c
554 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
555 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
556 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
557 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
558 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
559
560 mostlyclean-libtool:
561         -rm -f *.lo
562
563 clean-libtool:
564         -rm -rf .libs _libs
565         -rm -rf simdag/.libs simdag/_libs
566         -rm -rf surf/.libs surf/_libs
567         -rm -rf xbt/.libs xbt/_libs
568
569 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
570         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
571         unique=`for i in $$list; do \
572             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
573           done | \
574           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
575               END { if (nonempty) { for (i in files) print i; }; }'`; \
576         mkid -fID $$unique
577 tags: TAGS
578
579 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
580                 $(TAGS_FILES) $(LISP)
581         tags=; \
582         here=`pwd`; \
583         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
584         unique=`for i in $$list; do \
585             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
586           done | \
587           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
588               END { if (nonempty) { for (i in files) print i; }; }'`; \
589         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
590           test -n "$$unique" || unique=$$empty_fix; \
591           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
592             $$tags $$unique; \
593         fi
594 ctags: CTAGS
595 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
596                 $(TAGS_FILES) $(LISP)
597         tags=; \
598         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
599         unique=`for i in $$list; do \
600             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
601           done | \
602           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
603               END { if (nonempty) { for (i in files) print i; }; }'`; \
604         test -z "$(CTAGS_ARGS)$$tags$$unique" \
605           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
606              $$tags $$unique
607
608 GTAGS:
609         here=`$(am__cd) $(top_builddir) && pwd` \
610           && cd $(top_srcdir) \
611           && gtags -i $(GTAGS_ARGS) $$here
612
613 distclean-tags:
614         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
615
616 check-TESTS: $(TESTS)
617         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
618         srcdir=$(srcdir); export srcdir; \
619         list=' $(TESTS) '; \
620         if test -n "$$list"; then \
621           for tst in $$list; do \
622             if test -f ./$$tst; then dir=./; \
623             elif test -f $$tst; then dir=; \
624             else dir="$(srcdir)/"; fi; \
625             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
626               all=`expr $$all + 1`; \
627               case " $(XFAIL_TESTS) " in \
628               *$$ws$$tst$$ws*) \
629                 xpass=`expr $$xpass + 1`; \
630                 failed=`expr $$failed + 1`; \
631                 echo "XPASS: $$tst"; \
632               ;; \
633               *) \
634                 echo "PASS: $$tst"; \
635               ;; \
636               esac; \
637             elif test $$? -ne 77; then \
638               all=`expr $$all + 1`; \
639               case " $(XFAIL_TESTS) " in \
640               *$$ws$$tst$$ws*) \
641                 xfail=`expr $$xfail + 1`; \
642                 echo "XFAIL: $$tst"; \
643               ;; \
644               *) \
645                 failed=`expr $$failed + 1`; \
646                 echo "FAIL: $$tst"; \
647               ;; \
648               esac; \
649             else \
650               skip=`expr $$skip + 1`; \
651               echo "SKIP: $$tst"; \
652             fi; \
653           done; \
654           if test "$$failed" -eq 0; then \
655             if test "$$xfail" -eq 0; then \
656               banner="All $$all tests passed"; \
657             else \
658               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
659             fi; \
660           else \
661             if test "$$xpass" -eq 0; then \
662               banner="$$failed of $$all tests failed"; \
663             else \
664               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
665             fi; \
666           fi; \
667           dashes="$$banner"; \
668           skipped=""; \
669           if test "$$skip" -ne 0; then \
670             skipped="($$skip tests were not run)"; \
671             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
672               dashes="$$skipped"; \
673           fi; \
674           report=""; \
675           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
676             report="Please report to $(PACKAGE_BUGREPORT)"; \
677             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
678               dashes="$$report"; \
679           fi; \
680           dashes=`echo "$$dashes" | sed s/./=/g`; \
681           echo "$$dashes"; \
682           echo "$$banner"; \
683           test -z "$$skipped" || echo "$$skipped"; \
684           test -z "$$report" || echo "$$report"; \
685           echo "$$dashes"; \
686           test "$$failed" -eq 0; \
687         else :; fi
688
689 distdir: $(DISTFILES)
690         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
691         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
692         list='$(DISTFILES)'; \
693           dist_files=`for file in $$list; do echo $$file; done | \
694           sed -e "s|^$$srcdirstrip/||;t" \
695               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
696         case $$dist_files in \
697           */*) $(MKDIR_P) `echo "$$dist_files" | \
698                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
699                            sort -u` ;; \
700         esac; \
701         for file in $$dist_files; do \
702           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
703           if test -d $$d/$$file; then \
704             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
705             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
706               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
707             fi; \
708             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
709           else \
710             test -f $(distdir)/$$file \
711             || cp -p $$d/$$file $(distdir)/$$file \
712             || exit 1; \
713           fi; \
714         done
715 check-am: all-am
716         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
717         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
718 check: check-am
719 all-am: Makefile
720 installdirs:
721 install: install-am
722 install-exec: install-exec-am
723 install-data: install-data-am
724 uninstall: uninstall-am
725
726 install-am: all-am
727         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
728
729 installcheck: installcheck-am
730 install-strip:
731         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
732           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
733           `test -z '$(STRIP)' || \
734             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
735 mostlyclean-generic:
736
737 clean-generic:
738         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
739
740 distclean-generic:
741         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
742         -rm -f simdag/$(am__dirstamp)
743         -rm -f surf/$(am__dirstamp)
744         -rm -f xbt/$(am__dirstamp)
745         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
746
747 maintainer-clean-generic:
748         @echo "This command is intended for maintainers to use"
749         @echo "it deletes files that may require special tools to rebuild."
750 clean: clean-am
751
752 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
753         mostlyclean-am
754
755 distclean: distclean-am
756         -rm -rf ./$(DEPDIR)
757         -rm -f Makefile
758 distclean-am: clean-am distclean-compile distclean-generic \
759         distclean-tags
760
761 dvi: dvi-am
762
763 dvi-am:
764
765 html: html-am
766
767 info: info-am
768
769 info-am:
770
771 install-data-am:
772
773 install-dvi: install-dvi-am
774
775 install-exec-am:
776
777 install-html: install-html-am
778
779 install-info: install-info-am
780
781 install-man:
782
783 install-pdf: install-pdf-am
784
785 install-ps: install-ps-am
786
787 installcheck-am:
788
789 maintainer-clean: maintainer-clean-am
790         -rm -rf ./$(DEPDIR)
791         -rm -f Makefile
792 maintainer-clean-am: distclean-am maintainer-clean-generic
793
794 mostlyclean: mostlyclean-am
795
796 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
797         mostlyclean-libtool
798
799 pdf: pdf-am
800
801 pdf-am:
802
803 ps: ps-am
804
805 ps-am:
806
807 uninstall-am:
808
809 .MAKE: install-am install-strip
810
811 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
812         clean-checkPROGRAMS clean-generic clean-libtool ctags \
813         distclean distclean-compile distclean-generic \
814         distclean-libtool distclean-tags distdir dvi dvi-am html \
815         html-am info info-am install install-am install-data \
816         install-data-am install-dvi install-dvi-am install-exec \
817         install-exec-am install-html install-html-am install-info \
818         install-info-am install-man install-pdf install-pdf-am \
819         install-ps install-ps-am install-strip installcheck \
820         installcheck-am installdirs maintainer-clean \
821         maintainer-clean-generic mostlyclean mostlyclean-compile \
822         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
823         tags uninstall uninstall-am
824
825
826 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
827         ./run_tests
828 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
829         ./run_tests valgrind
830
831 dist-files:
832         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
833         @echo
834         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
835 # Tell versions [3.59,3.63) of GNU make to not export all variables.
836 # Otherwise a system limit (for SysV at least) may be exceeded.
837 .NOEXPORT: